Authorizing Requests

When sending requests to the API endpoints, the request includes a header that contains an authorization code. The authorization code is acquired by sending a request to DisasterAWARE Enterprise API Authorization endpoint.

Please note, authorization tokens are valid for 15 mins, at which time you will need to request a new authorization token. The tokens are standard JWT tokens, therefore you can decode the token to review the expiration (exp) value. You can paste your token into https://jwt.io to inspect the token details.

Authorization API

URL
HTTP Verb
Functionality

/authorize

POST

Login with posting credentials to get access and refresh JSON Web Tokens

Get accessToken and refreshToken

POST https://api-v2.disasteraware.com/authorize

Login with posting credentials to get access and refresh JSON Web Tokens

Request Body

Name
Type
Description

User credential*

object

User credential.

{
    "accessToken":"access.token.will.be.here",
    "refreshToken":"refresh.token.will.be.here"
}
curl --location --request POST \
  'https://api-v2.disasteraware.com/authorize' \
  --header 'Content-Type: application/json' \
  --data-raw '{
    "username":"your_username", 
    "password":"your_password"
  }'
circle-exclamation

Last updated